--- title: "getCloudMssqlTargetSubnetList" slug: "database-vmssql-getcloudmssqltargetsubnetlist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmssql-getcloudmssqltargetsubnetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMssqlTargetSubnetList Available in VPC Get the list of subnets available to use in Cloud DB for MSSQL. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmssql/v2/getCloudMssqlTargetSubnetList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) request headers](/docs/en/database-vmssql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameter You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the subnet to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `vpcNo` | String | Required | Filter by VPC number - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist) | | `cloudMssqlImageProductCode` | String | Required | Filter by Cloud DB for MSSQL image product code - See [getCloudMssqlImageProductList](/docs/en/database-vmssql-getcloudmssqlimageproductlist) | | `isPublic` | Boolean | Optional | Filter by public subnet status - `true` (default) \| `false` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlTargetSubnetList ?regionCode=KR &vpcNo=59*** &cloudMssqlImageProductCode=SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043261.EE.B100 &isPublic=true &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [TargetSubnetList](/docs/en/common-vapidatatype-targetsubnetlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) response status codes](/docs/en/database-vmssql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMssqlTargetSubnetListResponse": { "totalRows": 3, "targetSubnetList": [ { "subnetNo": "140***", "subnetName": "subnet", "vpcNo": "59***", "vpcName": "vpc", "zoneCode": "KR-1", "subnet": "10.0.252.0/25", "isPublic": true, "createdDate": "2024-03-29T11:20:34+0900" }, { "subnetNo": "139***", "subnetName": "subnet", "vpcNo": "59***", "vpcName": "vpc", "zoneCode": "KR-1", "subnet": "10.0.0.0/17", "isPublic": true, "createdDate": "2024-03-28T14:38:54+0900" }, { "subnetNo": "158***", "subnetName": "subnet", "vpcNo": "59***", "vpcName": "vpc", "zoneCode": "KR-2", "subnet": "10.0.255.0/25", "isPublic": true, "createdDate": "2024-07-01T11:50:09+0900" } ], "requestId": "eee062fb-****-****-****-cd8649151fef", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` eee062fb-****-****-****-cd8649151fef 0 success 3 140*** subnet 59*** vpc KR-1 10.0.252.0/25 true 2024-03-29T11:20:34+0900 139*** subnet 59*** vpc KR-1 10.0.0.0/17 true 2024-03-28T14:38:54+0900 158*** subnet3 59*** vpc KR-2 10.0.255.0/25 true 2024-07-01T11:50:09+0900 ```